@charset "UTF-8";

main {
    margin-bottom: 18%;
}

#main_title .main_title_bk {
    &::before {
        content: "";
        width: 100%;
        height: 100%;
        display: block;
        background: url(../common/main_title_bk.jpg) no-repeat center;
        background-size: cover;
    }
    &::after {
        content: "";
        width: 100%;
        height: 100%;
        background: url(../news/main_title_news.png) no-repeat center right;
        background-size: auto 105%;
        position: absolute;
        left: 0;
        top: 0;
    }
}

#main_title .main_title_bk .main_title_img {
    & img {
        max-width: 68px;
        bottom: 35px;
    }
}

/** list
===================================*/
#news_block {
    margin-top: 60px;
}

#news_list .news_links {
    width: 100%;
    margin-bottom: 10px;
    padding: 17px 25px;
    background: var(--sub-color);
    border-radius: var(--radius);
    transition: 0.3s all;
    &:nth-child(even) {
        background: var(--sub-color-50);
    }
    &:hover {
        background: rgba(41, 145, 109, 0.25);
    }
}

#news_list .news_links a {
    display: flex;
    align-items: center;
    gap: 25px;
    background: none;
}

#news_list .news_links .day {
    color: var(--main-color);
    font-size: 90%;
}

#news_list .news_links .title {
    width: 80%;
    position: relative;
    line-height: var(--long-text);
}

#news_list .btn_text_aroow {
    margin: 20px 0 0 auto;
    & a {
        padding: 10px 70px 10px 20px;
    }
}

#news_list .news_links .icon_arrow_min {
    max-width: 60px;
    margin: 0 0 0 auto;
}

/** pagination
===================================*/
#pagination {
    margin-top: 50px;
    display: flex;
    gap: 0 15px;
    justify-content: center;
}

#pagination a {
    width: 32px;
    height: 32px;
    display: block;
    color: var(--main-color);
    font-weight: var(--font-midium);
    text-align: center;
    line-height: 30px;
    background: #fff;
    border: 1px solid var(--main-color);
    border-radius: 100px;
    transition: 0.3s all;
    position: relative;
    &.active {
        color: #fff;
        background: var(--main-color);
        pointer-events: none;
    }
    &:hover {
        background: var(--sub-color-50);
    }
}

#pagination .prev.none a,
#pagination .next.none a {
    border-color: var(--sub-title);
    pointer-events: none;
    & span::before {
        background: var(--sub-title);
    }
    & span::after {
        border-color: var(--sub-title);
    }
}

#pagination .prev span,
#pagination .next span {
    width: 6px;
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: -3px;
    right: 0;
    &::before,
    &::after {
        content: "";
        margin: auto;
        vertical-align: middle;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
    }
    &::before {
        left: -1px;
        width: 10px;
        height: 1px;
        background: var(--main-color);
    }
    &::after {
        left: 3px;
        width: 6px;
        height: 6px;
        border-top: 1px solid var(--main-color);
        border-right: 1px solid var(--main-color);
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }
    &.none {
        border-color: var(--sub-title);
        pointer-events: none;
    }
}

#pagination .prev span {
    right: -3px;
    &::before,
    &::after {
        right: 0;
        left: auto;
    }
    &::before {
        right: -3px;
    }
    &::after {
        -webkit-transform: rotate(225deg);
        transform: rotate(225deg);
    }
}

main.news_detail #pagination .prev,
main.news_detail #pagination .next {
    &.none a {
        background: #f2f2f2;
    }
}

main.news_detail #pagination a {
    width: 45px;
    height: 45px;
    border: none;
    background: var(--sub-color);
    &:hover {
        background: rgba(41, 145, 109, 0.25);
    }
}

main.news_detail #pagination .btn_list a {
    width: auto;
    padding: 5px 60px;
    color: #fff;
    line-height: 35px;
    background: var(--main-color);
    &:hover {
        color: var(--main-color);
        background: var(--sub-color);
    }
}

/** detail
===================================*/
main.news_detail #news_block {
    margin-top: 60px;
    min-height: 300px;
    padding: 35px 35px 80px 35px;
    background: var(--sub-color-50);
    border-radius: var(--radius);

}

main.news_detail #news_tit {
    margin-bottom: 25px;
    padding-bottom: 20px;
    display: flex;
    align-items: center;
    border-bottom: 1px solid var(--main-color);
}

main.news_detail #news_tit .day {
    width: 120px;
    color: var(--main-color);
    font-size: 14px;
}

main.news_detail #news_tit h3 {
    font-optical-sizing: 19px;
    font-weight: var(--font-midium);
}

main.news_detail #contents {
    line-height: var(--long-text);
}

main.news_detail #pagination {
    width: fit-content;
    margin: -40px auto 0;
    padding: 20px 35px;
    border-radius: var(--radius);
    background: #fff;
}

/*---- wp ----*/
main.news_detail #contents p a[href$=".pdf"] {
    display: inline-block;
    padding: 5px 30px 5px 20px;
    color: var(--main-color);
    background: #fff;
    border: 1px solid var(--sub-color);
    border-radius: var(--radius);
    position: relative;
    transition: 0.3s all;
    &::before,
    &::after {
        content: "";
        margin: auto;
        position: absolute;
        top: 0;
        bottom: 0;
        vertical-align: middle;
    }
    &::before {
        right: 20px;
        width: 0.5em;
        height: 0.5em;
        border-top: 1px solid var(--main-color);
        border-right: 1px solid var(--main-color);
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }
    &:hover {
        background: var(--sub-color);
    }
}

main.news_detail #contents .wp-block-columns {
    max-width: 1000px;
    display: flex;
    gap: 15px;
}

main.news_detail #contents .wp-block-image {
    max-width: 500px;
}

main.news_detail #contents .wp-block-image a {
    transition: 0.3s all;
    &:hover {
        opacity: 0.6;
    }
}

main.news_detail #contents .wp-block-image img {
    width: 100%;
}


/** sp
===================================*/
@media screen and (max-width: 768px) {
#main_title .main_title_bk .main_title_img {
    & img {
        max-width: 58px;
        bottom: 28px;
    }
}

main.news_list #news_block {
    margin-top: 30px;
}

#news_list .news_links {
    margin-bottom: 20px;
}

#news_list .news_links a {
    display: block;
}

#news_list .news_links .day,
#news_list .news_links .title {
    width: 100%;
}

#news_list .news_links .icon_arrow_min {
    position: absolute;
    right: 2.5%;
    bottom: -9px;
}

/*---- detail ----*/
main.news_detail #news_block {
    width: 94vw;
    margin: 30px calc(50% - 47vw) 0;
}

main.news_detail #news_tit {
    display: block;
}

main.news_detail #news_tit .day,
main.news_detail #news_tit h3 {
    width: 100%;
}

main.news_detail #news_tit .day {
    margin-bottom: 5px;
}

main.news_detail #news_tit h3 {
    font-size: 15px;
}

main.news_detail #pagination {
    padding: 20px;
    gap: 0 10px;
}

main.news_detail #pagination a {
    width: 38px;
    height: 38px;
}

main.news_detail #pagination .btn_list a {
    padding: 5px 25px;
    line-height: 30px;
}

/*---- wp ----*/
main.news_detail #contents .wp-block-columns {
    flex-wrap: wrap;
}

main.news_detail #contents .wp-block-columns .wp-block-column {
    flex-basis: 100% !important;
}

}